petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSTrajectorySetUp

Sets up the internal data structures, e.g. stacks, for the later use of a TS trajectory.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSTrajectorySetUp(TSTrajectory tj,TS ts)

Collective on TS

### Input Parameter

| ts | - the TS context obtained from TSCreate()
| tj | - the TS trajectory context

### See Also

TSSetSaveTrajectory(), TSTrajectoryCreate(), TSTrajectoryDestroy()

### Level

developer

### Location

src/ts/trajectory/interface/traj.c

### Implementations

TSTrajectorySetUp_Basic in src/ts/trajectory/impls/basic/trajbasic.c
TSTrajectorySetUp_Memory in src/ts/trajectory/impls/memory/trajmemory.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages